> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Instance User Endpoint

> This endpoint will create a new user under a specific subordinate instance within your partner account.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json post /partner/instances/users/create
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/instances/users/create:
    post:
      tags:
        - Instances
      summary: Create Instance User Endpoint
      description: "This endpoint will create a new user under a specific subordinate instance within your partner account.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: CreateInstanceUser
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateInstanceUserRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUserJson'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    CreateInstanceUserRequest:
      title: Create Instance User Request
      required:
        - first_name
        - instance_id
        - last_name
        - username
      type: object
      properties:
        instance_id:
          title: Instance ID
          minLength: 1
          type: string
          description: ID of the instance where the user will be created.
        username:
          title: Username
          minLength: 1
          type: string
          description: Username for the new user.
        first_name:
          title: Password
          minLength: 1
          type: string
          description: Password for the new user.
        last_name:
          title: Password
          minLength: 1
          type: string
          description: Password for the new user.
      additionalProperties: false
      description: Request data for creating a new user in an instance.
    CreateUserJson:
      title: Create User JSON
      type: object
      properties:
        id:
          title: User ID
          type:
            - string
            - 'null'
          description: The unique identifier for the user.
        username:
          title: Username
          type:
            - string
            - 'null'
          description: The username of the user.
        first_name:
          title: First Name
          type:
            - string
            - 'null'
          description: The first name of the user.
        last_name:
          title: Last Name
          type:
            - string
            - 'null'
          description: The last name of the user.
        enabled:
          title: Enabled Status
          type:
            - string
            - 'null'
          description: The enabled status of the user.
        instance_id:
          title: Instance ID
          type:
            - string
            - 'null'
          description: The unique identifier for the instance the user belongs to.
      additionalProperties: false
      description: Represents the JSON structure for creating a new user.
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````